Bug 649 - samba client get dropped.
samba client get dropped.
Status: RESOLVED WONTFIX
Product: Samba 2.2
Classification: Unclassified
Component: smbclient
2.2.8a
All Windows 95
: P1 critical
: ---
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 04:33 UTC by Nav
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nav 2003-10-19 04:33:02 UTC
We are using samba services for establishing connection btw Unix server & 
Windows 95 PC. Samba services are running at Sun Server. The issue is that all 
of sudden for unknown reasons samba client share  goes down. Root processes 
nmbd & smbd (with PID = 1) keeps on running. Here is one sample:
Following is the samba status, when there is a samba connection with 
PC "client123"
Samba version 2.2.8a
Service      uid      gid      pid     machine
----------------------------------------------
queue01      aradmin  remedy   11583   client123  (131.222.100.20) Sun Oct 19 
15:43:20 2003

& here are the samba processes :
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
root  1151     1  0   Oct 05 ?  0:00 /usr/local/samba/bin/smbd -D -s/u
sr/local/samba/lib/smb.conf
root  1156     1  0   Oct 05 ?  0:09 /usr/local/samba/bin/nmbd -D -s/u
sr/local/samba/lib/smb.conf
root  1162  1156  0   Oct 05 ?  0:00 /usr/local/samba/bin/nmbd -D -s/u
sr/local/samba/lib/smb.conf
root 11583  1151  0 15:43:18 ?  0:05 /usr/local/samba/bin/smbd -D -s/u
sr/local/samba/lib/smb.conf

When the samba share for client "client123" goes down then we don't have 
anything beneath samba status & the following process (last one)  processes 
heading get killed. samba processes still shows remaining 3 processes.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
root 11583  1151  0 15:43:18 ?  0:05 /usr/local/samba/bin/smbd -D -s/u
sr/local/samba/lib/smb.conf. 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Now-a-days samba is dropping share very frequently. Samba plays a critical role 
in our application. Any help in this regard will be greatly appreciated.

Thanks
Navneet
Comment 1 Gerald (Jerry) Carter 2004-02-17 08:55:58 UTC
Sorry, but the 2.2 is not under development any longer.
If you can reproduce this bug against the latest 3.0 release, 
please reopen this bug and change the version in the report.
Thanks.
Comment 2 Gerald (Jerry) Carter 2005-11-14 09:27:51 UTC
database cleanup